import { SlashCommandBuilder} from "discord.js";
import fs from "fs";
export const data = new SlashCommandBuilder()
    .setName('help')
    .setDescription('show helping message')

export async function execute(interaction) {
    const commandFiles = fs.readdirSync('./commands').filter(file => file.endsWith('.js'));
    const commands = []
    for (const file of commandFiles) {

        const command = await import(`./${file}`)
        commands.push(`/**${command.data.name}**: *${command.data.description}* \r`)

    }
    interaction.reply(commands.join('\r'))

}